/**
 * The home controller
 * 
 * @param {$scope} $scope The $scope service from angular
 */
mainApp.controller('homeCtrl', [ '$scope', 'Compute', '$rootScope', 'Loading', function ($scope, Compute, $rootScope, Loading)
{

	var callMeAfterPullData=function(data){
		$scope.machines=Compute.getData().machines;
			Loading.stop();
	}

	Loading.start();
	Compute.pullData(callMeAfterPullData);


	
	$scope.raiseShowMachineDetailsEvent=function(id){

		var callback=function(){
			Loading.stop();
			var data=Compute.getData();
			$rootScope.$broadcast("showMachineDetailsEvent", data.machines[id], data.axioms);		
	
		}
		Loading.start();
		Compute.pullMachines(callback);
	}


}]);
